---
# db-credentials
apiVersion: v1
stringData:
  database-username: "{{ quaydbusername }}"
  database-password: "{{ quaypassword }}"
  database-root-password: "{{ quaydbrootpass }}"
  database-name:  "{{ quaydbname }}"
kind: Secret
metadata:
  annotations:
  name: db-creds
  namespace: "{{ quayproject }}"
type: Opaque

---
# quay-config-credentials
apiVersion: v1
stringData:
  config-app-password: "{{ quaypassword }}"
kind: Secret
metadata:
  annotations:
  name: quay-config-creds
  namespace: "{{ quayproject }}"
type: Opaque

---
# redis-credentials
apiVersion: v1
stringData:
  password: "{{ quaypassword }}"
kind: Secret
metadata:
  annotations:
  name: redis-creds
  namespace: "{{ quayproject }}"
type: Opaque

---
# super-user-quay-credentials
apiVersion: v1
stringData:
  superuser-username: "{{ quayusername }}"
  superuser-password: "{{ quaypassword }}"
  superuser-email: "{{ quayemail }}"
kind: Secret
metadata:
  annotations:
  name: super-user-quay
  namespace: "{{ quayproject }}"
type: Opaque

---
# quayecosystem_cr-definitions
apiVersion: redhatcop.redhat.io/v1alpha1
kind: QuayEcosystem
metadata:
  name: "{{ quayecosystem }}"
  namespace: "{{ quayproject }}"
spec:
  quay:
    image: "{{ quayimage }}"
    registryBackends:
      - name: rados
        rados:
          hostname: "{{ miniohostname }}.apps.{{ cluster_name }}.{{ base_domain }}"
          accessKey: "{{ minioaccesskey }}"
          secretKey: "{{ miniosecretkey }}"
          secure: "{{ openshift_custom_certificates }}"
          port: 443 # always use secure port
          bucketName: "{{ quaybucketname }}"
    externalAccess:
      hostname: "{{ quayhostname }}.apps.{{ cluster_name }}.{{ base_domain }}"
      configHostname: "{{ quayconfig }}.apps.{{ cluster_name }}.{{ base_domain }}"
      tls:
        termination: edge
    keepConfigDeployment: false
    superuserCredentialsSecretName: super-user-quay
    configSecretName: quay-config-creds
    imagePullSecretName: redhat-pull-secret
    database:
      image: "{{ quaydbimage }}"
      volumeSize: "{{ quaydbsize }}"
      credentialsSecretName: db-creds
      #securityContext:
      #  fsGroup: 26
    enableRepoMirroring: true
    repoMirrorTLSVerify: false
  redis:
    credentialsSecretName: redis-creds
    imagePullSecretName: redhat-pull-secret
    deploymentStrategy: RollingUpdate
    image: "{{ quayredisimage }}"
  clair:
    enabled: false

